Subject: Re: bug#64578: orgcard.tex fixes to allow PDF rendering to be used as a triptych.

From: José Miguel García Urrutia <[email-masked]>
Date: Thu, 13 Jul 2023 09:17:54 -0500

I’ve removed the “(1/2)” and “(2/2)” numbers from the titles as they
overflow the columns, making them to be wider than expected thus breaking
the triptych format.
The US letter paper size is the same as the Emacs reference card.
The published PDF org-mode reference card is the rendered version of this
tex file. It’s in A4 format and the columns doesn’t have the same size,
making impossible to do a triptych with same sized columns. This is why I
modified it.

On Thu, 13 Jul 2023 at 05:51 Ihor Radchenko <[email-masked]> wrote:

> José Miguel García Urrutia <[email-masked]> writes:
>
> > Hello, this is a patch that fixes the orgcard.tex file PDF rendering to
> > allow it to be used as a triptych in US letter page format.
> >
> >  % Specify how many you want here.
> >  \columnsperpage=3
> >
> > +% Set letterpaper to 0 for A4 paper, 1 for letter (US) paper.  Useful
> > +% only when columnsperpage is 2 or 3.
> > +\letterpaper=1
> > +
> >  % PDF output layout.  0 for A4, 1 for letter (US), a `l' is added for
> >  % a landscape layout.
> >  \input pdflayout.sty
> > -\pdflayout=(0l)
> > +\pdflayout=(1l)
>
> I will leave this to Emacs devs to decide about the layout.
> The reference cards in Emacs follow certain format.
> I am not sure if this patch is breaking it or not.
>
> > -\key{force cycling of an ARCHIVEd tree}{C-c C-TAB}
> > +\key{force cycling of an ARCHIVEd tree}{C-TAB}
>
> This is wrong. Org's default binding is C-c C-TAB.
>
> > -\title{Org-Mode Reference Card (2/2)}
> > +\title{Org-Mode Reference Card}
>
> Why?
>
> --
> Ihor Radchenko // yantar92,
> Org mode contributor,
> Learn more about Org mode at <https://orgmode.org/>.
> Support Org development at <https://liberapay.com/org-mode>,
> or support my work at <https://liberapay.com/yantar92>
>